### Signal

# RB URIDialog::location-added

#### Declaration

    void
    location_added (
      RBURIDialog* self,
      gchar* uri,
      gpointer user_data
    )

#### Description [src]

Emitted when the user has entered a URI into the dialog.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`uri`

  Type: `gchar*`

  URI entered.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.